import { _ as f } from "./b7901950.js";
import { e as d, c as p, d as y, b as _ } from "./55f8e851.js";
function c(n, e, r) {
  switch (r.length) {
    case 0:
      return n.call(e);
    case 1:
      return n.call(e, r[0]);
    case 2:
      return n.call(e, r[0], r[1]);
    case 3:
      return n.call(e, r[0], r[1], r[2]);
  }
  return n.apply(e, r);
}
var g = c, h = g, s = Math.max;
function m(n, e, r) {
  return e = s(e === void 0 ? n.length - 1 : e, 0), function() {
    for (var a = arguments, t = -1, i = s(a.length - e, 0), l = Array(i); ++t < i; )
      l[t] = a[e + t];
    t = -1;
    for (var u = Array(e + 1); ++t < e; )
      u[t] = a[t];
    return u[e] = r(l), h(n, this, u);
  };
}
var S = m;
function $(n) {
  return function() {
    return n;
  };
}
var O = $;
function T(n) {
  return n;
}
var o = T, b = O, v = f, w = o, R = v ? function(n, e) {
  return v(n, "toString", {
    configurable: !0,
    enumerable: !1,
    value: b(e),
    writable: !0
  });
} : w, C = R, I = 800, x = 16, A = Date.now;
function N(n) {
  var e = 0, r = 0;
  return function() {
    var a = A(), t = x - (a - r);
    if (r = a, t > 0) {
      if (++e >= I)
        return arguments[0];
    } else
      e = 0;
    return n.apply(void 0, arguments);
  };
}
var P = N, k = C, q = P, H = q(k), L = H, M = o, z = S, D = L;
function U(n, e) {
  return D(z(n, e, M), n + "");
}
var B = U, E = d, F = p, G = y, J = _;
function K(n, e, r) {
  if (!J(r))
    return !1;
  var a = typeof e;
  return (a == "number" ? F(r) && G(e, r.length) : a == "string" && e in r) ? E(r[e], n) : !1;
}
var Q = K, V = B, W = Q;
function X(n) {
  return V(function(e, r) {
    var a = -1, t = r.length, i = t > 1 ? r[t - 1] : void 0, l = t > 2 ? r[2] : void 0;
    for (i = n.length > 3 && typeof i == "function" ? (t--, i) : void 0, l && W(r[0], r[1], l) && (i = t < 3 ? void 0 : i, t = 1), e = Object(e); ++a < t; ) {
      var u = r[a];
      u && n(e, u, a, i);
    }
    return e;
  });
}
var j = X;
export {
  j as _,
  S as a,
  L as b,
  B as c,
  Q as d,
  g as e,
  o as i
};
